com.sun.grid.jgdi.configuration

## Class JGImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.JGImpl

- All Implemented Interfaces:
    GEObject, JG, java.io.Serializable, java.lang.Cloneable

      public class JGImpl
      extends GEObjectImpl
      implements JG

  Java representation of the cull object JG_Type defined in sge_all_listsL.template

  Warning: The JGImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGImpl()` Create a new instance of JGImpl.
    `JGImpl(boolean initWithDefaultValues)` Create a new instanceof
    `JGImpl(java.lang.String qname)` Create a new instance of JGImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getQhostname()` Get the value of the qhostname attribute.
    `java.lang.String` | `getQname()` Get the value of the qname attribute.
    `int` | `getSlots()` Get the value of the slots attribute.
    `boolean` | `isSetQhostname()` Determine if the qhostname attribute is set
    `boolean` | `isSetQname()` Determine if the qname attribute is set
    `boolean` | `isSetSlots()` Determine if the slots attribute is set
    `void` | `setQhostname(java.lang.String aQhostname)` Set the qhostname attribute.
    `void` | `setQname(java.lang.String aQname)` Set the qname attribute.
    `void` | `setSlots(int aSlots)` Set the slots attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### JGImpl

          public JGImpl()

      Create a new instance of JGImpl. The new instance will not be initialized with the default values.

    - #### JGImpl

          public JGImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### JGImpl

          public JGImpl(java.lang.String qname)

      Create a new instance of JGImpl

  - ### Method Detail

    - #### isSetQname

          public boolean isSetQname()

      Determine if the qname attribute is set
      Specified by:
        `isSetQname` in interface `JG`
      Returns:
        `true` if the qname attribute is set

    - #### setQname

          public void setQname(java.lang.String aQname)

      Set the qname attribute.
      Specified by:
        `setQname` in interface `JG`
      Parameters:
        `aQname` - the new value for the qname attribute

    - #### getQname

          public java.lang.String getQname()

      Get the value of the qname attribute.
      Specified by:
        `getQname` in interface `JG`
      Returns:
        the value of the qname attribute

    - #### isSetQhostname

          public boolean isSetQhostname()

      Determine if the qhostname attribute is set
      Specified by:
        `isSetQhostname` in interface `JG`
      Returns:
        `true` if the qhostname attribute is set

    - #### setQhostname

          public void setQhostname(java.lang.String aQhostname)

      Set the qhostname attribute.
      Specified by:
        `setQhostname` in interface `JG`
      Parameters:
        `aQhostname` - the new value for the qhostname attribute

    - #### getQhostname

          public java.lang.String getQhostname()

      Get the value of the qhostname attribute.
      Specified by:
        `getQhostname` in interface `JG`
      Returns:
        the value of the qhostname attribute

    - #### isSetSlots

          public boolean isSetSlots()

      Determine if the slots attribute is set
      Specified by:
        `isSetSlots` in interface `JG`
      Returns:
        `true` if the slots attribute is set

    - #### setSlots

          public void setSlots(int aSlots)

      Set the slots attribute.
      Specified by:
        `setSlots` in interface `JG`
      Parameters:
        `aSlots` - the new value for the slots attribute

    - #### getSlots

          public int getSlots()

      Get the value of the slots attribute.
      Specified by:
        `getSlots` in interface `JG`
      Returns:
        the value of the slots attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `JG`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.